/*
This file is part of dynwatch, a win32 system tray applet which
updates automatically the dyndns entry of quake.gr.

Copyright (c) 2005 John Tsiombikas <nuclear@siggraph.org>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <windows.h>
#include "gui.h"
#include "watch.h"

/* when this is true, the program checks periodically for
 * connection status and updates the dynamic dns entry
 */
int running;	

int WINAPI WinMain(HINSTANCE proc_handle, HINSTANCE prev, char *args, int show) {
	MSG msg;

	init();
	create_gui();
	
	SetTimer(win_main, 0, 20000, 0);

	while(GetMessage(&msg, 0, 0, 0)) {
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}

	return 0;
}

