/*
This file is part of dynwatch, a win32 system tray applet which
updates automatically the dyndns entry of quake.gr.

Copyright (c) 2005 John Tsiombikas <nuclear@siggraph.org>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _WATCH_H_
#define _WATCH_H_

#define info_msg(x)	MessageBox(0, x, "dynwatch info", MB_ICONINFORMATION | MB_OK)
#define err_msg(x)	MessageBox(0, x, "dynwatch error", MB_ICONSTOP | MB_OK)

extern char user[256], pass[256], dhost[256], hosts[256];

void init(void);
int need_update(void);
int update_dns(void);

void save_config(void);

#endif	/* _WATCH_H_ */